class Admins::IdentityAuthenticationsController < Admins::BaseController
  def index
    params[:status] ||= 'pending'

    applies = Admins::ApplyUserAuthenticationQuery.call(params.merge(type: 1))

    @applies = paginate applies.preload(user: { user_extension: [:school, :department] })
  end

  def agree
    Admins::IdentityAuths::AgreeApplyService.call(current_apply)
    render_success_js
  end

  def refuse
    Admins::IdentityAuths::RefuseApplyService.call(current_apply, params)

    render_success_js
  end

  private

  def current_apply
    @_current_apply ||= ApplyUserAuthentication.real_name_auth.find(params[:id])
  end
end